"""
   UCD-SNMP-style command line interface to SNMP v.2c messages (RFC1905)

   Copyright 1999-2003 by Ilya Etingof <ilya@glas.net>. See LICENSE for
   details.
"""
# Module public names
__all__ = [ 'GetRequestMixIn', 'GetNextRequestMixIn', 'SetRequestMixIn',
            'GetBulkRequestMixIn', 'InformRequestMixIn', 'ReportMixIn',
            'SnmpV2TrapMixIn', 'registerMixIns' ]

from pysnmp.proto import v2c
from pysnmp.proto.cli.ucd import v1
from pysnmp.proto.cli import error

class GetRequestMixIn(v1.MessageMixIn): pass
class GetNextRequestMixIn(v1.MessageMixIn): pass
class SetRequestMixIn(v1.MessageMixIn): pass
class GetBulkRequestMixIn(v1.MessageMixIn): pass
class InformRequestMixIn(v1.MessageMixIn): pass
class ReportMixIn(v1.MessageMixIn): pass
class SnmpV2TrapMixIn(v1.MessageMixIn): pass
# Alias to v.1-style name
TrapMixIn = SnmpV2TrapMixIn

def mixIn():
    """Register this module's mix-in classes at their bases
    """
    mixInComps = [ (v2c.GetRequest, GetRequestMixIn),
                   (v2c.GetNextRequest, GetNextRequestMixIn),
                   (v2c.SetRequest, SetRequestMixIn),
                   (v2c.GetBulkRequest, GetBulkRequestMixIn),
                   (v2c.InformRequest, InformRequestMixIn),
                   (v2c.Report, ReportMixIn),
                   (v2c.SnmpV2Trap, SnmpV2TrapMixIn) ]

    for (baseClass, mixIn) in mixInComps:
        if mixIn not in baseClass.__bases__:
            baseClass.__bases__ = baseClass.__bases__ + (mixIn, )
