"""
   Package exception classes.

   Written by Ilya Etingof <ilya@glas.net>, 2001, 2002.
"""   
from pysnmp import error

class ProtoError(error.PySnmpError):
    """Base class for snmp sub-package exceptions
    """
    pass

# Common exceptions

class BadArgumentError(ProtoError):
    """Malformed argument
    """
    pass

class NotImplementedError(ProtoError):
    """Feature not implemented
    """
    pass

# SNMP v3 exceptions

class CacheExpiredError(ProtoError):
    """Request information (rfc2572) cache expired
    """
    pass
